Get workflow
curl --request GET \
--url https://felix.so/api/v1/workflows/{workflowId} \
--header 'x-api-key: <api-key>'import requests
url = "https://felix.so/api/v1/workflows/{workflowId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://felix.so/api/v1/workflows/{workflowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"input_schema": "<unknown>"
}{
"error": "<string>"
}{
"error": "<string>"
}Workflows
Get workflow
Retrieve a single workflow and its details
GET
/
workflows
/
{workflowId}
Get workflow
Authorizations
API key authentication. Get your key from Settings → API Keys.
Path Parameters
Workflow ID
Response
Workflow details
Detailed workflow information
Unique workflow identifier
Workflow name
Workflow description
Timestamp when the workflow was created
Timestamp when the workflow was last updated
JSON Schema defining the expected input format for workflow execution. Null if no input required.

